/*
 * Pluginsystem
 * Copyright (C) Thasso Griebel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * Pluginsystem
 * Copyright (C) Thasso Griebel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

package org.java.plugin.extension.annotations;

import java.io.Serializable;
import java.lang.annotation.Annotation;

/*
* Date: Jun 11, 2009
*/

/**
 * @author Thasso Griebel (thasso.griebel@gmail.com)
 */
public class NullableImpl implements Nullable, Serializable {

      private final String value;

      public NullableImpl(String value) {
        this.value = value;
      }

      public String value() {
        return this.value;
      }

      public int hashCode() {
        // This is specified in java.lang.Annotation.
        return (127 * "value".hashCode()) ^ value.hashCode();
      }

      public boolean equals(Object o) {
        if (!(o instanceof Nullable)) {
          return false;
        }

        Nullable other = (Nullable) o;
        return value.equals(other.value());
      }

      public String toString() {
        return "@" + Nullable.class.getName() + "(value=" + value + ")";
      }

      public Class<? extends Annotation> annotationType() {
        return Nullable.class;
      }

      private static final long serialVersionUID = 0;    
}
